Not showing end of line on some target clients

RESOLVED INCOMPLETE

Status

Chat Core
General
RESOLVED INCOMPLETE
4 years ago
4 years ago

People

(Reporter: Instantbot, Unassigned)

Tracking

x86
Windows Vista

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
*** Original post on bio 1132 by Tomáš Komárek <tomaskom.cz AT seznam.cz> at 2011-11-01 21:53:00 UTC ***

Target client is ignoring new lines (shift+enter) when sending messages, target client QIP Infium, protocol ICQ.
-Sending from different client to the same target was OK.
-Changing codepage from CP1250 to UTF8 had no effect on this bug.
-Also, when sending to Facebook chat it was OK.
-When target was on meebo.com or another Instantbird, it was OK.

To be clear, here is an example:
I send (in one message):

Hi! you should have a look at this
http://www.instantbird.com/

And target receives:

Hi! you should have a look at thishttp://www.instantbird.com/


So, as far as I have tested, the bug took place only with target being QIP Infium (Build 9030 EC4).
I'm running Instantbird version 1.1 (20111014141651) under Vista.

I'm not sure if this bug should be posted to purplexpcom section, so excuse me if I'm wrong.
*** Original post on bio 1132 at 2011-11-01 23:14:32 UTC ***

This sounds to me like it's a QIP Infium bug (of not handling line breaks correctly). Mook suggested that perhaps QIP is expecting a different set of line break characters (i.e. \r\n instead of \n or something).
(Reporter)

Comment 2

4 years ago
*** Original post on bio 1132 by Tomáš Komárek <tomaskom.cz AT seznam.cz> at 2011-11-05 23:22:49 UTC ***

Looks like it is not QIP specific.

From IRC ( http://log.bezut.info/instantbird/111105/#m209 ):

15:08:55 <Px> On second test of key swapping addon, with icq client on other side, I get no newline, all message as one string, as in bug 954565 (bio 1132), can this be fixed? Client not qip, using jajc and icq gateway
15:08:59 <instantbot> Bug https://bugzilla.mozilla.org/show_bug.cgi?id=954565 (bio 1132) nor, --, ---, nobody, UNCO, Not showing end of line on some target clients
15:11:57 <flo> most likely completely unrelated with the add-on ;)
15:12:35 <Px> Yes, for test purposes I've completely removed addon, and problem still here


http://log.bezut.info/instantbird/111105/#m397

20:50:03 <Tomek> earlier today, somebody discussed Bug 954565 (bio 1132) taking place also on different client on the other side than QIP Infium (I belive the official client?), but nobody replied to the bug itself...
20:50:06 <instantbot> Bug https://bugzilla.mozilla.org/show_bug.cgi?id=954565 (bio 1132) nor, --, ---, nobody, UNCO, Not showing end of line on some target clients
20:51:21 <Px> I've tested it with my current client, jajc, also with friend's Psi+ v0.15.5121 (Sep 30 2011), the problem exists
20:51:37 <clokep> Px do you know if it exists in Pidgin?
20:55:59 <Px> Asked one of the friends, he moved from pidgin to Trillian, and it's unaffected
20:56:29 <clokep> Hmm...that's strange, as we use their library.

Comment 3

4 years ago
*** Original post on bio 1132 at 2012-04-11 20:17:10 UTC ***

Does this still happen with the latest nightly, and if so, for which protocols?

Comment 4

4 years ago
*** Original post on bio 1132 at 2012-04-26 23:57:21 UTC ***

Please reopen if it's still an issue.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.